
from flask import Flask
from flask_wtf import FlaskForm
from wtforms import StringField, PasswordField
from wtforms.validators import InputRequired, Length

app = Flask(__name__)
app.config['SECRET_KEY'] = 'your_secret_key'

class LoginForm(FlaskForm):
    username = StringField('Username', validators=[InputRequired(), Length(min=4, max=15)])
    password = PasswordField('Password', validators=[InputRequired(), Length(min=8, max=80)])

def generate_random_user_form():
    return LoginForm()

@app.route('/login', methods=['GET', 'POST'])
def login():
    form = generate_random_user_form()
    if form.validate_on_submit():
        return 'Login successful'
    return render_template('login.html', form=form)

if __name__ == '__main__':
    app.run(debug=True)



